Bug 86470 - Wireless initscripts need to be able to set wireless encryption key more dynamically
Wireless initscripts need to be able to set wireless encryption key more dyna...
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-23 03:34 EST by John Guthrie
Modified: 2014-03-16 22:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 14:37:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Sample patch file for /etc/sysconfig/network-scripts/ifup-wireless (781 bytes, patch)
2003-03-23 03:42 EST, John Guthrie
no flags Details | Diff

  None (edit)
Description John Guthrie 2003-03-23 03:34:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
When a wireless card is started up, the script
/etc/sysconfig/network-scripts/ifup-wireless configures several settings for
that card.  Presumably, it reads them from a config file somewhere.  If a
wireless card is on a non-mobile machine, this is fine.  However, for a laptop,
this can pose problems.  Consider the following scenario:

I am on a wireless network at work where they use Wired-equivalent privacy (WEP)
for encryption.  In order to get the WEP key configured for the card, I have to
put the key into some config file.  I then go home where I have a wireless network
using a different WEP key.  (This is a very realistic scenario.)  Because I have
configured my workplace WEP key into config files, my wireless card comes up
with my workplace WEP key, which then causes DHCP to fail to get an IP address.
 I then have to wait for DHCP to time out and for a login prompt to come up so
that I can set my WEP key correctly and restart my network card.

What I propose is some kind of database (a TAB-delimited file really) that maps
SSIDs to WEP keys.  Of course this file would need to have permissions of 0600,
be owned by root, etc.  Optionally, there could be some kind of utility to add
entries to this file without editing it directly.  I will be providing a sample
patch file for the file /etc/sysconfig/network-scripts/ifup-wireless that reads
info from a file /etc/sysconfig/network-scripts/WEP.keys, and then configures
the WEP key appropriately.

Version-Release number of selected component (if applicable):
6.95-1

How reproducible:
Always

Steps to Reproduce:
1. Start up a laptop on a wireless network with a certain preconfigured WEP key.
2. Shut the laptop down
3. Go to another wireless network that uses a different WEP key.
4. Start up the laptop again.

Actual Results:  What you find is that when you start the laptop up on the
second network, you need to manually intervene before you can ANY kind of
network traffic over your wireless interface.  This includes things like DHCP so
that your machine can get IP address.

Expected Results:  Ideally, I should be able to go to the second network, and
when I bring up the interface there, it the appropriate encryption key should be
configured on the interface.

Additional info:
Comment 1 John Guthrie 2003-03-23 03:42:00 EST
Created attachment 90698 [details]
Sample patch file for /etc/sysconfig/network-scripts/ifup-wireless

This is a patch for /etc/sysconfig/network-scripts/wireless, so that it will
read WEP keys from a file that maps SSIDs to WEP keys, and configures the WEP
key appropriately.  Note that this patch file is more of a proof of concept
more than anything else.  There are several other things that could be done do
accomplish this task.  It also may need more error handling, etc.  It also
doesn't deal with the issue of how to get the WEP keys into the file in the
first place.
Comment 2 Bill Nottingham 2005-09-30 14:37:17 EDT
Closing bugs on older, no longer supported, releases. Apologies for any lack of
response.

Realistically, with the advent of NetworkManager, further enhancements to this
portion of initscripts will probably not be made.

Note You need to log in before you can comment on or make changes to this bug.